Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 450921 - s2io intr_type documentation inaccurate
Summary: s2io intr_type documentation inaccurate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Michal Schmidt
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-11 18:15 UTC by Andrew Hecox
Modified: 2009-01-20 20:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 20:25:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description Andrew Hecox 2008-06-11 18:15:01 UTC
... from Documentation/networking/s2io.txt

e. intr_type
Specifies interrupt type. Possible values 1(INTA), 2(MSI), 3(MSI-X)
Valid range: 1-3

in fact, there are only two options, 0 (INTA) and 2 (MSI_X)

ahecox@honeypot ~ $ grep -E "define (MSI_X|MSI|INTA)" drivers/net/s2io.h
#define INTA    0
#define MSI_X   2

I believe Neterion XFrame I supported only INTA, XFrame II and later MSI-X. It
would be nice to have this documentation (upstream too) corrected.

Comment 1 Michal Schmidt 2008-06-16 15:55:01 UTC
Indeed the documentation is wrong. Should be no problem getting it fixed
upstream. I'll take care of it. Devel ACK.

Comment 2 RHEL Product and Program Management 2008-06-16 15:59:39 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Michal Schmidt 2008-06-27 13:59:57 UTC
Patch sent upstream: http://marc.info/?l=linux-netdev&m=121448926721877&w=2
It's now in Dave Miller's git tree.

I posted the patch to rhkernel-list too, with the only difference being the
default value of the parameter (it's 2(MSI_X) in upstream and 0(INTA) in RHEL).


Comment 5 Don Zickus 2008-07-23 18:55:49 UTC
in kernel-2.6.18-99.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 9 errata-xmlrpc 2009-01-20 20:25:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.